<?php
session_start();
include_once('../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if (!$_POST['user'] && !$_POST['namenew']) {
    $return['type'] = 1;
    $return['text'] = 'Thông tin người dùng không tồn tại.';
    echo json_encode($return);
    exit();
}
$listitem = '';
$i        = 0;
if ($_POST['item_1']) {
    if ($_POST['sl_0'] <= 0 or $_POST['sl_0'] > 999 or !is_numeric($_POST['sl_0'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 999';
        echo json_encode($return);
        exit();
    }
    $listitem .= 'item,' . $_POST['item_1'] . ',' . $_POST['sl_0'];
    $i++;
}
if ($_POST['item_2']) {
    if ($_POST['sl_1'] <= 0 or $_POST['sl_1'] > 999 or !is_numeric($_POST['sl_1'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 999';
        echo json_encode($return);
        exit();
    }
    $listitem .= ';item,' . $_POST['item_2'] . ',' . $_POST['sl_1'];
    $i++;
}
if ($_POST['item_3']) {
    if ($_POST['sl_2'] <= 0 or $_POST['sl_2'] > 999 or !is_numeric($_POST['sl_2'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 999';
        echo json_encode($return);
        exit();
    }
    $listitem .= ';item,' . $_POST['item_3'] . ',' . $_POST['sl_2'];
    $i++;
}
if ($_POST['item_4']) {
    if ($_POST['sl_3'] <= 0 or $_POST['sl_3'] > 999 or !is_numeric($_POST['sl_3'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 999';
        echo json_encode($return);
        exit();
    }
    $listitem .= ';item,' . $_POST['item_4'] . ',' . $_POST['sl_3'];
    $i++;
}
if ($_POST['item_5']) {
    if ($_POST['sl_4'] <= 0 or $_POST['sl_4'] > 999 or !is_numeric($_POST['sl_4'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 999';
        echo json_encode($return);
        exit();
    }
    $listitem .= ';item,' . $_POST['item_5'] . ',' . $_POST['sl_4'];
    $i++;
}
if ($_POST['number'] != "" && $_POST['count'] != "") {
    if ($_POST['count'] <= 0 or $_POST['count'] > 9999999 or !is_numeric($_POST['count'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 9,999,999';
        echo json_encode($return);
        exit();
    }	
    $listitem .=  $_POST['number'] . ',' . $_POST['count'];
    $i++;
}
// get info 
$getchar = mysqli_query($conn, "Select * From account_web WHERE Account = '" . $_POST['user'] . "'");
if (!mysqli_num_rows($getchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản này không tồn tại.';
    echo json_encode($return);
    exit();
}
// check nhận vật
$gcheckchar = mysqli_query($connnv, "Select * From Player WHERE Account = '" . $_POST['user'] . "' and ID = N'" . $_POST['namenew'] . "'");
if (!mysqli_num_rows($gcheckchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản chưa có Nhân vật hoặc không tồn tại.';
    echo json_encode($return);
    exit();
}
function curl_post($url, $data) {
		$dataPost = http_build_query($data);
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $dataPost);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($ch);
		curl_close($ch);
		
		return $result;
}
$IDChar = $_POST['namenew'];
$pud    = time()-1509999999;
// md5
        $key = 'AD6CEF57DB57102E132C078C05F21992';
        $data = sprintf("%s%s%s%s%s%s",0,$IDChar,10001,$pud,$listitem,$key);
        $data = mb_convert_case(md5($data), MB_CASE_UPPER, "UTF-8");
		// 
$url    = "https://" . $servername . ":" . $port_jxhttp_idip . "/efunsendreward";
$post = array(
"userId" => 0,
"roleId" => $IDChar,
"serverCode" => 10001,
"serialNo" => $pud,
"packageId" => $listitem,
"title" => "Administrators",
"content" => "Thư từ hệ thống gửi đến bạn.",
"md5Str" => $data
);
$ketqua = curl_post($url,$post);
$ketqua = json_decode($ketqua);
if($ketqua->code == 1000){
   $return['type'] = 0;
    $return['text'] = 'Gửi thư thành công. Kiểm tra thư game.';
    echo json_encode($return);
    exit();	
} else {
   $return['type'] = 1;
    $return['text'] = $ketqua->message;
    echo json_encode($return);
    exit();	
}
